GET
/api/admin/merchants/{merchantId}/fee-statements
const url = 'https://example.com/api/admin/merchants/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/fee-statements?page=1&pageSize=25';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/admin/merchants/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/fee-statements?page=1&pageSize=25' \ --header 'Authorization: Bearer <token>'List a merchant’s fee statements (newest first).
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” merchantId
required
string format: uuid
Query Parameters
Section titled “Query Parameters ” page
integer format: int32
pageSize
integer format: int32
Responses
Section titled “ Responses ”OK
Media type application/json
object
items
Array<object>
object
id
string format: uuid
merchantId
string format: uuid
reference
string
periodStart
string format: date-time
periodEnd
string format: date-time
status
string
totalFees
number format: double
totalNet
number format: double
transactionCount
integer format: int32
currency
string
finalisedAt
string format: date-time
paidAt
string format: date-time
createdAt
string format: date-time
page
integer format: int32
pageSize
integer format: int32
totalCount
integer format: int32
totalPages
integer format: int32
hasNextPage
boolean
hasPreviousPage
boolean
Example
{ "items": [ { "status": "Draft" } ]}